Skip to main content
summaryrefslogtreecommitdiffstats
path: root/agent/bin
diff options
context:
space:
mode:
authorEugene Tarassov2011-12-13 22:42:54 -0500
committerEugene Tarassov2011-12-13 22:42:54 -0500
commit9f32772d59131ef89b7646cec702a8093106a2cd (patch)
treeec9a09f6bc854d21c97a8767de614161275e2fa4 /agent/bin
parent81fbf4fda3d1cd157d33641c15972d8dd049c5be (diff)
downloadorg.eclipse.tcf.agent-9f32772d59131ef89b7646cec702a8093106a2cd.tar.gz
org.eclipse.tcf.agent-9f32772d59131ef89b7646cec702a8093106a2cd.tar.xz
org.eclipse.tcf.agent-9f32772d59131ef89b7646cec702a8093106a2cd.zip
TCF Agent: added support of 64-bit Windows.
Diffstat (limited to 'agent/bin')
-rwxr-xr-xagent/bin/mcc15
-rw-r--r--agent/bin/mlb38
2 files changed, 52 insertions, 1 deletions
diff --git a/agent/bin/mcc b/agent/bin/mcc
index 79754478..44c41192 100755
--- a/agent/bin/mcc
+++ b/agent/bin/mcc
@@ -10,6 +10,7 @@
# -D<name> macro definition
# -I<dir> include directory
# -p<file> PDB file name
+# -m<machine> i386 or x86_64
. `dirname $0`/mcc-env
@@ -20,9 +21,10 @@ cflag=0
gflag=0
Oflag=0
language=
+machine=
oval=
-while getopts co:D:I:gOp:x: name
+while getopts co:D:I:gOp:x:m: name
do
case $name in
c)
@@ -54,6 +56,9 @@ do
x)
language="$OPTARG"
;;
+ m)
+ machine="$OPTARG"
+ ;;
*)
echo Invalid option $name
exit 2
@@ -97,4 +102,12 @@ else
fi
CFLAGS3="/Oy- /DWIN32 /D_CONSOLE /D_VC80_UPGRADE=0x0600 /D_MBCS /W4"
+if [ "$machine" == "x86_64" ] ; then
+ export LIB=$(cygpath -aw "$VSHOME/VC/lib/amd64")\;$(cygpath -aw "$WINSDK/Lib/x64")
+ export PATH="$VSHOME/VC/bin/x86_amd64:$PATH"
+ if [ "$PROCESSOR_ARCHITECTURE" == "AMD64" -o "$PROCESSOR_ARCHITEW6432" == "AMD64" ] ; then
+ export PATH="$VSHOME/VC/bin/amd64:$PATH"
+ fi
+fi
+
cl.exe /nologo $CFLAGS1 $CFLAGS2 $CFLAGS3 "${cmd[@]}" "$@" || exit 1
diff --git a/agent/bin/mlb b/agent/bin/mlb
new file mode 100644
index 00000000..078325c8
--- /dev/null
+++ b/agent/bin/mlb
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# This script invokes Microsoft Visual Studio lib.exe from CygWin shell.
+# Command line options:
+# -m<machine> i386 or x86_64
+
+. `dirname $0`/mcc-env
+
+machine=
+
+while getopts m: name
+do
+ case $name in
+ m)
+ machine="$OPTARG"
+ ;;
+ *)
+ echo Invalid option $name
+ exit 2
+ ;;
+ esac
+done
+
+shift `expr $OPTIND - 1`
+
+libfile=$1
+shift
+
+export LIB=
+
+if [ "$machine" == "x86_64" ] ; then
+ export PATH="$VSHOME/VC/bin/x86_amd64:$PATH"
+ if [ "$PROCESSOR_ARCHITECTURE" == "AMD64" -o "$PROCESSOR_ARCHITEW6432" == "AMD64" ] ; then
+ export PATH="$VSHOME/VC/bin/amd64:$PATH"
+ fi
+fi
+
+lib.exe /nologo /nodefaultlib "/out:$libfile" "$@" || exit 1

Back to the top